Bug 425836 - xine player doesn't work correctly with experimental intel driver
xine player doesn't work correctly with experimental intel driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 07:07 EST by Kirill Trofimov
Modified: 2008-11-26 17:41 EST (History)
1 user (show)

See Also:
Fixed In Version: somewhere in F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 17:41:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screenshot (95.88 KB, image/png)
2007-12-16 07:07 EST, Kirill Trofimov
no flags Details
intel - Xorg.0.log (48.22 KB, text/plain)
2007-12-20 03:21 EST, Kirill Trofimov
no flags Details
intel - xorg.conf (1.09 KB, application/octet-stream)
2007-12-20 03:23 EST, Kirill Trofimov
no flags Details
i810 - Xorg.0.log (98.46 KB, text/plain)
2007-12-20 03:38 EST, Kirill Trofimov
no flags Details
i810 - xorg.conf (1.09 KB, application/octet-stream)
2007-12-20 03:39 EST, Kirill Trofimov
no flags Details
without /etc/X11/xorg.conf (50.28 KB, text/plain)
2007-12-20 03:52 EST, Kirill Trofimov
no flags Details

  None (edit)
Description Kirill Trofimov 2007-12-16 07:07:04 EST
Description of problem:

When using the "intel" (experimental) driver on Intel 915GM/GMS/910GML the xine
player is always
showing video with wrong width and height as in the attached screenshot. If turn
on "disable scaling" option in a configuration of the xine player the resolution
of video will be correct.

Version-Release number of selected component (if applicable):
Fedora 8

How reproducible:
always

Steps to Reproduce:
1. Install "intel" driver
2. Play avi file using xine
  
Actual results:
Wrong width and height of video as in attached file

Expected results:
Right width and height

Additional info:
Resolution 1280x800
Using "i810" instead of "intel" resolves the problem partialy
Comment 1 Kirill Trofimov 2007-12-16 07:07:04 EST
Created attachment 289720 [details]
The screenshot
Comment 2 Kirill Trofimov 2007-12-17 03:10:19 EST
Mplayer works fine
Comment 3 Matěj Cepl 2007-12-19 08:05:23 EST
I suspect that it may be difference in using AIGLX or not.

Please attach both (i810 and intel) X server config file (/etc/X11/xorg.conf)
and X server log files (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Kirill Trofimov 2007-12-20 03:21:14 EST
Created attachment 290132 [details]
intel - Xorg.0.log
Comment 5 Kirill Trofimov 2007-12-20 03:23:19 EST
Created attachment 290133 [details]
intel - xorg.conf
Comment 6 Kirill Trofimov 2007-12-20 03:38:37 EST
Created attachment 290136 [details]
i810 - Xorg.0.log
Comment 7 Kirill Trofimov 2007-12-20 03:39:39 EST
Created attachment 290137 [details]
i810 - xorg.conf
Comment 8 Kirill Trofimov 2007-12-20 03:52:18 EST
Created attachment 290138 [details]
without /etc/X11/xorg.conf
Comment 9 Kirill Trofimov 2007-12-23 15:35:26 EST
Totem player has the same issue
Comment 10 Bug Zapper 2008-11-26 04:01:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Kirill Trofimov 2008-11-26 12:46:16 EST
The bug is not reproduced in Fedora 9. I think you can close it.

Note You need to log in before you can comment on or make changes to this bug.